@font-face {
  font-display: swap; 
  font-family: 'Red Hat Display';
  font-style: normal;
  font-weight: 100;
  src: url('./fonts/red-hat-display-v20-latin-regular.woff2') format('woff2'); 
}

@font-face {
  font-display: swap; 
  font-family: 'Inter';
  font-style: normal;
  font-weight: 100;
  src: url('./fonts/inter-v18-latin-regular.woff2') format('woff2');
}
body {
    background-color: #000000;
    color:#ffffff;
    font-weight: 100;
    font-family: 'Inter', serif;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.h1, h2, h3 {
    font-family: 'Red Hat Display', serif;
    font-weight: 700;
}
.logo {
    height: 40%;
    width: 40%;
    padding: 10px 40px;
}
.headline {
    align-self: center;
}
.header {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
.navbar {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    background-color: #000000;
    padding: 20px;
}
.nav-links {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 0;
}
.nav-links li {
    margin-left: 20px;
}
.nav-links li a {
    text-decoration: none;
    color: #f5f5f5;
    font-size: 24px;
    padding: 10px;
    transition: color 0.3s ease-in-out;
}
.nav-links li a:hover {
    color: #ffffff;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);;
    border-radius: 24px;
}
.productLinks {
    color: #ffffff;
}
.productLinks:visited {
    color: #ffffff
}
.burger-menu {
    display: none;
    cursor: pointer;
    flex-direction: column;
    gap: 5px;
}
.burger-menu span {
    width: 25px;
    height: 3px;
    background-color: white;
}

.pageTitle {
    margin-top: 1em;
    text-align: center;
}
.intro-section {
    text-align: center;
    max-width: 800px;
    margin: 40px auto 20px;
}

.section-title {
    font-size: 32px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 15px;
    letter-spacing: 1px;
}

.pageIntro {
    box-sizing: border-box;
    padding: 50px 10px;
    border-radius: 12px;
    font-size: 24px;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);
    border: 1px solid rgba(255, 255, 255, 0.2);
}

.pageIntroProducts {
    position: relative;
    box-sizing: border-box;
    padding: 50px 10px;
    border-radius: 12px;
    font-size: 18px;
    color: white;
    background-image: url('/images/cardBGS/naturebackground.jpg');
    background-size: cover;
    background-position: center;
    z-index: 0;
    overflow: hidden;
}

.pageIntroProducts::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: -1;
    border-radius: 12px;
}
.pageIntroServices {
    position: relative;
    box-sizing: border-box;
    padding: 50px 10px;
    border-radius: 12px;
    font-size: 18px;
    color: white;
    background-image: url('/images/cardBGS/servicesBG.jpeg');
    background-size: cover;
    background-position: center;
    z-index: 0;
    overflow: hidden;
}

.pageIntroServices::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: -1;
    border-radius: 12px;
}
.cardCuts {
    position: relative;
    flex: 1;
    min-width: 300px;
    max-width: 380px;
    padding: 25px;
    border-radius: 12px;
    text-align: center;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
    color: white;
    overflow: hidden;

    background-image: url('/images/cardBGS/cutsBG.jpg'); 
    background-size: cover;
    background-position: center;

    z-index: 0;
}

.cardCuts::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: -1;
    border-radius: 12px;
}
.cardColoring {
    position: relative;
    flex: 1;
    min-width: 300px;
    max-width: 380px;
    padding: 25px;
    border-radius: 12px;
    text-align: center;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
    color: white;
    overflow: hidden;

    background-image: url('/images/cardBGS/coloringBG.jpg'); 
    background-size: cover;
    background-position: center;
    z-index: 0;
}

.cardColoring::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: -1;
    border-radius: 12px;
}
.cardStyling {
    position: relative;
    flex: 1;
    min-width: 300px;
    max-width: 380px;
    padding: 25px;
    border-radius: 12px;
    text-align: center;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
    color: white;
    overflow: hidden;

    background-image: url('/images/cardBGS/styling.jpeg'); 
    background-size: cover;
    background-position: center;
    z-index: 0;
}

.cardStyling::before {
    content: "";
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: -1;
    border-radius: 12px;
}

.pageIntro {
    box-sizing: border-box;
    padding: 50px 10px;
    border-radius: 12px;
    font-size: 24px;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);
    border: 1px solid rgba(255, 255, 255, 0.2);
}
.pageOutro {
    text-align: center;
    box-sizing: border-box;
    padding: 50px 10px;
    border-radius: 12px;
    font-size: 24px;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);
    border: 1px solid rgba(255, 255, 255, 0.2);
}
.aboutIntro {
    text-align: center;
    font-size: 24px;
    margin-left: 2em;
    margin-right: 2em;
}


.callToAction {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    max-width: 500px;
    box-sizing: border-box;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);
    border: 1px solid rgba(255, 255, 255, 0.2);
    padding: 25px;
    border-radius: 12px;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
    overflow: hidden; 
    margin-bottom: 1em;
}
.callToActionImg {
    width:200px;
    height: auto;
}
.callToActionButton {
    display: inline-block;
    padding: 10px 20px;
    background-color: #000000;
    color: white;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
    border-radius: 10px;
    border-style: solid;
}
.callToActionText {
    max-width: 380px;
    padding: 25px;
    text-align: center;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.callToActionText h2 {
    margin: 0 0 10px;
    font-size: 32px;
}
.callToActionText p {
    margin-top: 10px;
    font-size: 24px;
    color: #ffffff;
}

.intro {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    max-width: 500px;
    box-sizing: border-box;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);
    border: 1px solid rgba(255, 255, 255, 0.2);
    padding: 25px;
    border-radius: 12px;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
    overflow: hidden; 
    margin-bottom: 1em;
}
.introImg {
    width:200px;
    height: auto;
}
.introText {
    max-width: 380px;
    padding: 25px;
    text-align: center;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.introText h2 {
    margin: 0 0 10px;
    font-size: 32px;
}
.introText p {
    margin-top: 10px;
    font-size: 24px;
    color: #ffffff;
}



.haircut img {
    width: 150px;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.haircut img:hover {
    transform: scale(1.1);
}


.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

.popup-content {
    background: black;
    padding: 20px;
    border-radius: 10px;
    max-width: 80%;
    text-align: center;
    position: relative;
}

.close {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
}

.popup-images {
    display: flex;
    gap: 10px;
    justify-content: center;
    flex-wrap: wrap;
}

.popup-images img {
    width: 150px; 
    height: 150px;
    object-fit: cover; 
    border-radius: 5px;
}

.keraliskLogo {
    height: auto;
    width: 150px;
}
.goldwellLogo {
    width: 250px;
}
.olaplexLogo{
    width: 250px;
}
.refoilsLogo {
    height: 150px;
    width: auto;
}
.hairHelpLogo {
    height: 150px;
    width: auto;
}

.footer {
    display: flex;
    justify-content: space-between; 
    align-items: center; 
    background-color: #000000;
    color: #fff; 
    text-align: center;
}

.footer-column {
    flex: 1; 
    margin: 15px; 
}

.footer-column h3 {
    margin-bottom: 10px;
    font-size: 18px;
}

.footer-column ul {
    list-style-type: none; 
    padding: 0;
}

.footer-column ul li {
    margin-bottom: 5px;
}

.footer-column ul li a {
    color: #fff;
    text-decoration: none;
}

.footer-column ul li a:hover {
    text-decoration: underline;
}
.footerButton {
    display: inline-block;
    padding: 10px 20px;
    background-color: #000000;
    color: white;
    text-decoration: none;
    font-size: 24px;
    font-weight: bold;
    border-radius: 10px;
    border-style: solid;
}
.footerCTA {
    margin:auto;
    font-size: 30px;
    font-weight: bold;
    text-align: center;
}
.footer-bottom {
    width: 100%;
    text-align: center;
    margin-top: 20px;
    font-size: 14px;
    opacity: 0.7;
    border-top: 1px solid rgba(255, 255, 255, 0.3); /* Trennlinie */
    padding: 10px 0;
}
.impressumLink {
    text-decoration: none;
}
.impressumLink:visited {
    color: #ffffff;

}
.datenschutzLink {
    text-decoration: none;
}
.datenschutzLink:visited {
    color: #ffffff;

}
.containerProducts {
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 20px;
    flex-wrap: wrap;
}
.containerServices {
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 20px;
    max-width: 1200px; 
    margin: 0 auto; 
    padding: 40px 20px;
    flex-wrap: wrap; 
}

.card {
    flex: 1;
    min-width: 300px;
    max-width: 380px;
    background: linear-gradient(145deg, #1c1c1c, #2a2a2a);
    border: 1px solid rgba(255, 255, 255, 0.2);
    padding: 25px;
    border-radius: 12px;
    text-align: center;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0 4px 8px rgba(255, 255, 255, 0.1);
}
.card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 16px rgba(255, 255, 255, 0.2);
}
.card-title {
    font-family: 'Red Hat Display';
    font-size: 22px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 15px;
}
.card-text {
    font-size: 18px;
    line-height: 1.6;
    color: #dcdcdc;
}
.card-list {
    list-style: none;
    padding: 0;
    flex-grow: 1;
}

.card-list li {
    font-size: 18px;
    padding: 5px 0;
}

.gallery {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 20px;
}

.gallery-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    padding: 20px;
}

.gallery-item {
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 300px;
}

.gallery-item img {
    width: 100%;
    height: auto;
    border-radius: 5px;
}


@media (max-width: 768px) {
    .nav-links {
        display: none;
        width: 100%;
        flex-direction: column;
        background-color: #000000;
        position: absolute;
        top: 60px;
        left: 0;
        z-index: 1000;
    }

    .nav-links li {
        margin: 10px 0;
        text-align: center;
    }

    .burger-menu {
        display: flex;
        background-color: #000000;
    }
    
    .nav-links.active {
        display: flex;
    }
    
    .intro {
        flex-direction: column;
    }
    .introImg {
        margin-right: 0;
        margin-bottom: 20px;
    }
    .footer {
        flex-direction: column;
        text-align: center;
    }
    .footer-column {
        margin: 10px 0;
    }

    .callToAction {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .callToActionImg {
        width: 100%;
        max-width: 300px;
    }

    .callToActionText {
        padding: 15px;
    }

    .callToActionButton {
        margin-top: 15px;
        font-size: 20px;
    }
    .card {
        width: 90%;
    }
    .containerProducts,
    .containerServices {
        flex-direction: column;
        align-items: center;
        gap: 30px;
        padding: 20px 10px;
    }
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
}
